#
# spec file for package libtheora (Version 1.0alpha5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    SDL SDL-devel aaa_base aalib aalib-devel acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libogg libogg-devel libpng libstdc++ libstdc++-devel libtool libvorbis libvorbis-devel libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python rcs readline resmgr rpm sed slang slang-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux valgrind vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libtheora
BuildRequires:  SDL-devel doxygen gcc-c++ libogg-devel libvorbis-devel pkgconfig python
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
URL:            http://www.xiph.org/
License:        Other License(s), see package, BSD
Group:          Productivity/Multimedia/Other
Summary:        Free Video Codec
Version:        1.0alpha5
Release:        16.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%version.tar.bz2

%description
Theora is a free video codec based on VP3. The package contains the
library that can decode and encode Theora streams. Theora is also able
to playback VP3 streams.



Authors:
--------
    the Xiph.Org Foundation http://www.xiph.org/

%debug_package
%package devel
Group:          Productivity/Multimedia/Other
Summary:        Free Video Codec
Requires:       libogg-devel

%description devel
Theora is a free video codec based on VP3. The package contains the
library that can decode and encode Theora streams. Theora is also able
to playback VP3 streams.



Authors:
--------
    the Xiph.Org Foundation http://www.xiph.org/

%prep
%setup -q
rm -rf `find . -name .svn`
libtoolize --force
aclocal -I m4/
autoconf
automake -a

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector"
./configure \
   --prefix=/usr \
   --libdir=%_libdir \
   --enable-shared \
   --enable-valgrind-testing
make
make check

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m 0755 examples/.libs/dump_video examples/.libs/*_example \
        $RPM_BUILD_ROOT/usr/bin/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/*
cd examples
make clean
rm -rf .deps Makefile*
cd ../doc
doxygen
rm -rf .deps Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/libtheora.so.*

%files devel
%defattr(-,root,root)
%doc doc/libtheora/html/ doc/spec doc/vp3-format.txt doc/color.html  examples README COPYING
/usr/bin/*
/usr/include/theora
%_libdir/libtheora.a
%_libdir/libtheora.la
%_libdir/libtheora.so
%_libdir/pkgconfig/theora.pc

%changelog -n libtheora
* Fri Mar 10 2006 - bk@suse.de
- libtheora-devel: add libogg-devel to Requires (found by .la check)
* Mon Feb 06 2006 - adrian@suse.de
- add -fstack-protector
- enable test suite run with valgrind
* Sun Jan 29 2006 - aj@suse.de
- Fix BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 19 2005 - adrian@suse.de
- update to version 1.0 alpha 5
- enable test suite
- generate API documentation with doxygen
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Jan 05 2005 - adrian@suse.de
- update to version 1.0 alpha 4
* Tue Oct 26 2004 - adrian@suse.de
- remove .svn directories
* Mon Oct 18 2004 - adrian@suse.de
- update to current cvs to get pc file
* Thu Aug 19 2004 - adrian@suse.de
- create -devel package
* Tue Jun 29 2004 - adrian@suse.de
- do not install the libtool scripts ...
* Sat Apr 24 2004 - adrian@suse.de
- use xorg-x11 packages
* Wed Apr 21 2004 - adrian@suse.de
- compile with -fno-strict-aliasing
* Sun Mar 21 2004 - adrian@suse.de
- update to alpha 3 release
  on disc format is still not frozen, so this remain an internal package
* Wed Feb 04 2004 - adrian@suse.de
- remove binaries from example dir (they get installed anyway)
* Fri Jan 30 2004 - adrian@suse.de
- initial package of current snapshot (post alpha2)
- internal package only atm
